# Retrieve Existing Records

## Retrieve Customer by Email ID

Fetch the customer ID associated with a given email address.

### API Endpoint

```curl
GET https://api.glomopay.com/api/v1/customer?email_address=customer%40glomopay.com
```

### Request

```curl
curl --location 'https://api.glomopay.com/api/v1/customer?email_address=customer%40glomopay.com' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer <YOUR_JWT_HERE>'
```

### Response

```curl
{
    "data": [
        {
            "id": "cust_69fadd9ePPDvZ",
            "name": "John",
            "customer_type": "individual",
            "email": "John@glomopay.com",
            "phone": "9876543210",
            "address": "202, swarna",
            "city": "chirala",
            "state": "Andhra Pradesh",
            "country": "IND",
            "pincode": "523155",
            "status": "active",
            "created_at": "2026-05-06T06:20:14.325Z",
            "updated_at": "2026-05-06T06:21:36.546Z",
            "address_v2": {
                "city": "chirala",
                "postal_code": "523155",
                "country_code": "IND",
                "address_line1": "202, swarna",
                "address_line2": null,
                "administrative_area": "Andhra Pradesh"
            },
            "metadata": {
                "kyc": {
                    "pan_number": "BFQPG7654R"
                },
                "bank_accounts": [
                    {
                        "id": "acclrs_69faddacidiza",
                        "bank_code": "hdfc",
                        "account_number": "10276543543",
                        "bank_customer_id": "1234567"
                    }
                ]
            },
            "user_id": null,
            "dob": null,
            "nationality": null,
            "deleted_at": null
        }
    ],
    "page_meta": {
        "current": 1,
        "previous": null,
        "next": null,
        "per_page": 20,
        "pages": 1,
        "count": 1
    }
}
```

## Retrieve Bank Account Details

Fetch the bank account details linked to a customer.

### API Endpoint

```curl
GET https://api.glomopay.com/api/v1/customer/customer_id/bank_account
```

### Request

```curl
curl --location 'https://api.glomopay.com/api/v1/customer/cust_69fadd9ePPDvZ/bank_account' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer <YOUR_JWT_HERE>'
```

### Response

```curl
[
    {
        "id": "acclrs_69faddacidiza",
        "bank_code": "hdfc",
        "account_number": "10276543543",
        "bank_customer_id": "1234567"
    }
]
```